#pragma once

#include "ConsoleBox.h"

class COutputView : public CDockablePane
{
		DECLARE_DYNAMIC(COutputView)
		CConsoleBox m_wndConsole;

		// Создание
	public:
		COutputView();
		virtual ~COutputView() override;

// Реализация
	public:
		void UpdateFonts();
		void SendChar(TCHAR ch);

	protected:
		void AdjustHorzScroll(CListBox &wndListBox);

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);

		DECLARE_MESSAGE_MAP()
};

